Bug 1252106 - pkcon get-updates reports filtered-out packages
pkcon get-updates reports filtered-out packages
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 13:55 EDT by John Sullivan
Modified: 2015-12-02 13:15 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 09:52:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sullivan 2015-08-10 13:55:37 EDT
PackageKit-1.0.6-1.fc21.x86_64
mate-applet-softupd-0.3.0-1.fc21.x86_64
dnf-0.6.4-5.fc21.noarch
dnf-plugins-core-0.1.5-2.fc21.noarch
yum-3.4.3-153.fc21.noarch
yum-plugin-priorities-1.1.31-27.fc21.noarch
hawkey-0.5.3-2.fc21.x86_64
python-hawkey-0.5.3-2.fc21.x86_64
libsolv-0.6.11-1.fc21.x86_64

Similar to bug 1243007 in "dnf check-update" (which is not *actually* a dupe of bug 1210445 as it claims) and possibly bug 1246875 (also about dnf check-update).

I have a local repo with packages I have either modified locally, or want to pin to older (less broken, for me) versions, set to a higher priority (lower priority value) so that the distro repos won't try to update them.

The old news is "yum check-update" does the same filtering that "yum update" does, so shows the same list of updates. It also states how many packages got filtered and if I want to know more about them I can run the check-update with --disablerepo to get the full list. "dnf check-update" does not do the same filtering, so reports packages that "dnf update" would not update. Now I can re-learn to type "dnf update --assumeno" instead of "dnf check-update", though I preferred the old way...

But I also use mate-applet-softupd to get a visible indication of when updates are available. This uses (I presume) "pkcon get-updates" or its equivalent in the background, which is now based on dnf/hawkey/libsolv and so behaves a bit like "dnf check-updates" rather than "yum check-updates".

Actually "dnf check-updates" is worse: not only does it list packages I've pinned back, but it also lists multiple versions of them from both the main fedora repo and fedora-updates repo. "pkcon get-updates" at least lists only the latest available version, but it still reports packages uninstallable due to priority restrictions.

This means that the software update icon will *always* be lit for me, which makes it pretty useless!
Comment 1 Fedora End Of Life 2015-11-04 05:54:36 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-12-02 09:53:03 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.